#  prou.gnu  for Sod problem
#      WRITE(66,74) K,Xmid,Pnew(K),ROnew(K),Xnew(I),Upoint,Pstar(I)
# 74   FORMAT(I6,1P,5E14.6)
#set term X
set term postscript portrait "Helvetica" 10 # Times 14 is font.
set size 1.0,0.71
set yzeroaxis
set grid
set xlabel "X"
call 'fort.44'
########################################################################
set out "ro.eps"
########################################################################
set xrange [0:2000]
set xtics 500
set ylabel "H"
set yrange [0: 12]
set ytics 2
set key bottom left
#####   If exact solution          exists use the following plot #######
 plot "fort.66" using ($2):($4+$6) title "Density" \
                with points pt 5 ps 0.2,\
      "fort.99" using ($2):($4) title "exact for plannar dam" \
                with lines lt 1 lw 1.4
#####   If exact solution does not exists use the following plot #######
#plot "fort.66" using ($2):($4+$6) title "Density" \
#               with points pt 5 ps 0.2
########################################################################
set out "u.eps"
########################################################################
set ylabel "U"
set yrange [ 0: 18]
set yrange [ 0: 12]
set yrange [-1: 12]
set ytics 2
set key top left
#####   If exact solution does not exists use the following plot #######
#plot "fort.66" using ($2):($5) title "Velocity" \
#               with points pt 5 ps 0.4
#####   If exact solution          exists use the following plot #######
 plot "fort.66" using ($2):($5) title "Velocity" \
               with points pt 5 ps 0.2,\
     "fort.99" using ($2):($3) title "exact for plannar dam" \
               with lines lt 1 lw 1.4
########################################################################
quit
########################################################################
