      SUBROUTINE HISTORY(L)
                include  'type.inc'
                include  'dimen.inc'
                include  'vecs.inc'
                include  'draw.inc'
                include  'init.inc'
                include  'miscel.inc'

      INTEGER   L,I,K
      CHARACTER*8  SCHEME
      REAL*8    Upoint,Xmean,Q_visc,Ucell
C***********************************************************************
C  HISTROY OF SPECIFIED RESULTS, PER Problem AND CASE.
C***********************************************************************
      IF(GODUNOV) THEN
         SCHEME = ' GODUNOV'
      ELSE
         SCHEME = ' GRP    '
      ENDIF

      GOTO(1,2,3,4,5,6,7,8,9,10), Problem
C***********************************************************************
C  Sod's Problem
C***********************************************************************
 1    CONTINUE

           IF(ABS(T-Tmax).LT.1.d-6) THEN ! Final flow field
      OPEN(UNIT=66,FILE='fort.66',FORM='FORMATTED',STATUS='UNKNOWN')
      WRITE(66,131)Problem,SCHEME,ROLI,ULI,RORI,URI,NCYC,T,DT,L
 131  FORMAT(
     1 "# Sod's Problem."/
     2 '# Problem =',I3,'   SCHEME = ',A8/
     3 '# ROLI,ULI=',1P,2E12.4/
     4 '# RORI,URI=',1P,2E12.4/
     5 '# NCYC,T,DT,L=',I7,1P,2E15.6,I7/
     6 '#                            ',/
     7 '#  K  ,   Xmean   ,   X(K)   ,   RO(K)   ,   U(I)    ,  Z(I)='/
     8 '#                         ')

      DO K=2,LL
      I=K
      Xmean =0.5d0*(X(I)+X(I+1))
      Ucell=U(K)
      IF(ABS(Ucell).LT.1.d-33.AND.Ucell.NE.0.d0) Ucell=1.d-33
      WRITE(66,147) K,Xmean,X(I),RO(K),Ucell,Z(K)
 147  FORMAT(I6,1P,5E12.4)
      END DO
      CLOSE(66)
           ENDIF ! ABS(T-Tmax).LT.1.d-6

      GOTO 100
C***********************************************************************
C  Constant acceleration ("hydrostatic")
C***********************************************************************
 2    CONTINUE
      GOTO 100
C***********************************************************************
C  Accelerated Piston
C***********************************************************************
 3    CONTINUE
      GOTO 100
C***********************************************************************
 4    CONTINUE
      GOTO 100
C***********************************************************************
 5    CONTINUE
      GOTO 100
C***********************************************************************
 6    CONTINUE
      GOTO 100
C***********************************************************************
C  Sod's problem
C***********************************************************************
 7    CONTINUE
      GOTO 100
C***********************************************************************
 8    CONTINUE
      GOTO 100
C***********************************************************************
 9    CONTINUE
      GOTO 100
C***********************************************************************
 10   CONTINUE
      GOTO 100
C***********************************************************************
C***********************************************************************
 100  CONTINUE
      RETURN
      END




