      SUBROUTINE MONOTON(L,Nvar,V,DV)

                INCLUDE  'type.inc'
                INCLUDE  'dimen.inc'
                INCLUDE  'miscel.inc'

      INTEGER*4 L,Nvar,K,N
      REAL*8    V(L),DV(L)
      REAL*8    SIGN_K(LDIM),SIGN_M(LDIM),SIGN_P(LDIM)
      LOGICAL   MONOTONIC(LDIM)
************************************************************************

      DO K=2,LL
         SIGN_K(K) = SIGN(1.d0,DV(K))
         SIGN_M(K) = SIGN(1.d0,V(K)-V(K-1))
         SIGN_P(K) = SIGN(1.d0,V(K+1)-V(K))
      END DO

      DO K=2,LL
         MONOTONIC(K)=(SIGN_M(K).EQ.SIGN_K(K)).AND.
     1                (SIGN_K(K).EQ.SIGN_P(K))
      END DO

      DO K=2,LL

      IF(MONOTONIC(K))   THEN

C  MINMOD Monotonization.  See GRP book: Eq.(3.28) (Contruction 3.15),
C                                        where  Cmono=2.

         DV(K)=SIGN_K(K)*MIN(ABS(DV(K)),Cmono*ABS(V(K)-V(K-1)),
     1                                  Cmono*ABS(V(K)-V(K+1)))

      ELSE

         DV(K)=0.d0 ! Zero slope for locally non-monotonic case

      ENDIF

      END DO

      RETURN
      END




