      SUBROUTINE SET_TITLE(L)

                include  'type.inc'
                include  'init.inc'
                include  'miscel.inc'
                include  'draw.inc'

      INTEGER  L,N,Iyear,Imonth,Iday,Ihour,Iminute,Isecond
      CHARACTER*85 LINE(12)
      CHARACTER*8  SCHEME
      CHARACTER*8  DATE
      CHARACTER*10 TIME
      CHARACTER*3  MONTH(12)
      DATA         MONTH/'JAN','FEB','MAR','APR','MAY','JUN',
     R                   'JUL','AUG','SEP','OCT','NOV','DEC'/
C***********************************************************************
      PRINT*,'ENTER SET_TITLE'
      OPEN(UNIT=44,FORM='FORMATTED',STATUS='UNKNOWN')

c     CALL DATE_AND_TIME(DATE,TIME)
      date='        '
      time='          '
      print 3344,date,time
 3344 format('date=',A8,5X,'time=',A10)
      READ(DATE,11)Iyear,Imonth,Iday
 11   FORMAT(I4,2I2)
      READ(TIME,22)Ihour,Iminute,Isecond
 22   FORMAT(3I2)
      IF(Imonth.EQ.0) Imonth=1
c     print*,'Iyear,Imonth,Iday=',Iyear,Imonth,Iday
c     print*,'Ihour,Iminute,Isecond=',Ihour,Iminute,Isecond

      IF(GODUNOV) THEN
         SCHEME = ' GODUNOV'
      ELSE
         SCHEME = ' GRP    '
      ENDIF

      DO N=1,12
         WRITE(LINE(N),70)
      END DO
 70   FORMAT(85(' '))

      WRITE(LINE(1),71)
 71   FORMAT(4X,77('='),4X)

c     WRITE(LINE(2),72) VERSION,
c    1                  MONTH(Imonth),Iday,Iyear,Ihour,Iminute,Isecond
      WRITE(LINE(2),72) VERSION
 72   FORMAT('CODE VERSION  ---',2X,A12,',',4X,
     1       A3,'.',1X,I2,',',2X,I4,',',3X,I2,':',I2,':',I2)

      LINE(3)=TITLEA

      WRITE(LINE(4),74) AUTODT,CFLMAX,L-2,DELT,TMAX
 74   FORMAT('AUTODT=',L2,',',2X,'CFL=',F6.3,',',2X,
     1       'L-2=',I4,',',3X,'DT=',F7.3,',',2X,'T=',F6.1)

      WRITE(LINE(5),75) SCHEME,EPS_acoust
 75   FORMAT('SCHEME=',A8,',',4X,'EPS_acoust =',1P,E9.1)

              IF(GODUNOV) THEN
      WRITE(LINE(6),761)
 761  FORMAT('Riemann  problems  solved  without  slopes',4X,
     1       '(first-order).')
              ELSE
      WRITE(LINE(6),762) KEYslope,Cmono
 762  FORMAT('RP  solved  with  slopes',4X,
     1       'KEYslope = ',A3,4X,'Cmono=',F5.2)
              ENDIF

      WRITE(LINE(7),77) KEYwidth,KEYbedslope,KEYfriction
 77   FORMAT('KEYwidth=',I2,',',4X,'KEYbedslope=',I2,',',4X,
     1                           'KEYfriction=',I2,',',4X)


      WRITE(44,99) LINE(2),LINE(1),LINE(3),LINE(1),LINE(4),LINE(5),
     1             LINE(6),LINE(7)

 99   FORMAT('set title ','"',A85,'\\n ',A85,'\\n ',A85,'\\n ',A85,
     1                 '\\n ',A85,'\\n ',A85,'\\n ',A85,'\\n ',A85,'\\n'
     2                                                             ,'"')
      CLOSE(44)
      PRINT*,'EXIT SET_TITLE'
      RETURN
      END




