C  VARIABLES  (POINT-CENTERED)
      COMMON  X         (LDIM),          U         (LDIM)
     1       ,UL        (LDIM),          UR        (LDIM)
     2       ,CL        (LDIM),          CR        (LDIM)
     3       ,GL        (LDIM),          GR        (LDIM)
     4       ,ROL       (LDIM),          ROR       (LDIM)
     5       ,DXSIL     (LDIM),          DXSIR     (LDIM)
     6       ,DUDXIL    (LDIM),          DUDXIR    (LDIM)
     7       ,DRODXIL   (LDIM),          DRODXIR   (LDIM)
     8       ,DRODTXL   (LDIM),          DRODTXR   (LDIM)
     9       ,DUDROL    (LDIM),          DUDROR    (LDIM)
     A       ,UG        (LDIM),          DUGDT     (LDIM)
     B       ,B         (LDIM),          DBB       (LDIM)
     C       ,So        (LDIM),          Sf        (LDIM)
     D       ,SfL       (LDIM),          SfR       (LDIM)

      REAL*8  X               ,          U
     1       ,UL              ,          UR              
     2       ,CL              ,          CR              
     3       ,GL              ,          GR              
     4       ,ROL             ,          ROR             
     5       ,DXSIL           ,          DXSIR           
     6       ,DUDXIL          ,          DUDXIR          
     7       ,DRODXIL         ,          DRODXIR         
     8       ,DRODTXL         ,          DRODTXR         
     9       ,DUDROL          ,          DUDROR
     A       ,UG              ,          DUGDT
     B       ,B               ,          DBB
     C       ,So              ,          Sf 
     D       ,SfL             ,          SfR

C  VARIABLES  (CELL-CENTERED)
      COMMON  RO        (LDIM),          C         (LDIM)
     1       ,DU        (LDIM),          DRO       (LDIM)
     2       ,DX        (LDIM),          DXSI      (LDIM)
     3       ,ROU       (LDIM),          DTNEXT_C  (LDIM)
     4       ,BDX       (LDIM),          Z         (LDIM)

      REAL*8  RO              ,          C
     1       ,DU              ,          DRO             
     2       ,DX              ,          DXSI
     3       ,ROU             ,          DTNEXT_C
     4       ,BDX             ,          Z

C  SOLUTION OF  GRP
      COMMON  USTAR     (LDIM),          ROSTAR    (LDIM)
     1       ,Ux        (LDIM),          ROx       (LDIM)
     2       ,DUDT      (LDIM),          DRODT     (LDIM)
     3       ,DUDTx     (LDIM),          DRODTx    (LDIM)
     4       ,CSTAR     (LDIM),          GSTAR     (LDIM)
     5       ,WL        (LDIM),          WR        (LDIM)
     6       ,UW(5,LDIM)
      REAL*8  USTAR           ,          ROSTAR           
     1       ,Ux              ,          ROx
     2       ,DUDT            ,          DRODT            
     3       ,DUDTx           ,          DRODTx           
     4       ,CSTAR           ,          GSTAR           
     5       ,WL              ,          WR              
     6       ,UW
C  FLUX ARRAYS
      COMMON  FLUX    (LDIM,2),          GLUX      (LDIM,2)
      REAL*8  FLUX            ,          GLUX
C  TOTAL VALUES
      COMMON AMTOT,ROUTOT
      REAL*8 AMTOT,ROUTOT
C  VARIOUS INTEGER VECTORS
      COMMON  MATL      (LDIM),          MATR      (LDIM)
     1       ,MAT       (LDIM),          NFLUX     (LDIM)
      INTEGER MATL            ,          MATR            
     1       ,MAT             ,          NFLUX            
      COMMON  ACOUSTIC  (LDIM)
     1       ,SHOCKL    (LDIM),          SHOCKR    (LDIM)
      LOGICAL ACOUSTIC
     1       ,SHOCKL          ,          SHOCKR          
C  END OF INCLUDE BLOCK             ! c_vecs.inc  (END LINE)



